<ion-content color="background" *ngIf="[logueado]!=''">
  <ion-refresher slot="fixed" style="z-index: 9999;" mode="md" (ionRefresh)="getIdeasPrimeraVez2($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <app-header></app-header>
  <div class="crearIdea">
    <ion-grid>
      <ion-row>
        <ion-col class="centrado" size="2">
          <img src="{{imagen}}" class="imgCrearIdea" alt="">
        </ion-col>
        <ion-col size="8">
          <ion-button expand="block" mode="ios" fill="outline" class="crear" routerLink="/crear-idea">Publicar una idea</ion-button>
        </ion-col>
        <ion-col class="centrado" size="2">
          <ion-icon name="add-circle-outline" class="tamano" routerLink="/crear-idea"></ion-icon>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
  <div *ngIf="ideas.length>0">
    <app-idea *ngFor="let idea of ideas" [id]="idea.id" [nombre]="idea.nombre" [descripcion]="idea.descripcion"
      [monto_objetivo]="idea.monto_objetivo" [usuario]="idea.usuario" [fecha_limite]="idea.fecha_limite" [fecha_publicada]="idea.fecha_publicada"
      [fecha_reembolso]="idea.fecha_reembolso" [monto_actual]="idea.monto_actual" [intereses]="idea.intereses"
      [estado]="idea.estado" [imagen]="idea.imagen" [imagenUsuario]="idea.imagenUsuario"></app-idea>
      <ion-list>
        <ion-item-divider text-center>
          <ion-label text-center style="width: 100%;color: rgba(58, 58, 58, 0.363)">No existen mas ideas para mostrar</ion-label>
        </ion-item-divider>
      </ion-list>
  </div>
  <div *ngIf="ideas.length<=0">
    <div class="ideas" *ngFor="let i of [1,2,3,4,5,6,7]">
      <ion-grid>
        <ion-row>
          <ion-col size="12">
            <img src="https://x.kinja-static.com/assets/images/logos/placeholders/default.png" alt="">
          </ion-col>
          <ion-col size="3" class="centrado">
            <img src="https://discovery-park.co.uk/wp-content/uploads/2017/06/avatar-default.png" alt="" class="imagenPerfilIdea" style="border: 0px">
          </ion-col>
          <ion-col size="9">
            <ion-grid>
              <ion-row>
                <ion-col size="8">
                  <ion-skeleton-text animated style="width: 60%">
                  </ion-skeleton-text>
                </ion-col>
                <ion-col size="4">
                  <ion-skeleton-text animated style="width: 60%">
                  </ion-skeleton-text>
                </ion-col>
                <ion-col size="12" style="text-overflow: ellipsis;overflow: hidden;white-space: nowrap;">
                  <ion-skeleton-text animated style="width: 60%">
                  </ion-skeleton-text>
                </ion-col>
                <ion-col size="12" style="padding: 0px;">
                  <ion-row>
                    <ion-col size="6" style="padding-top: 20px">
                      <ion-skeleton-text animated style="width: 60%">
                      </ion-skeleton-text>
                    </ion-col>
                    <ion-col size="12" style="margin: 0px">
                    </ion-col>
                    <ion-col size="12" style="padding-top: 0px; padding-bottom: 0px;">
                      <ion-skeleton-text animated style="width: 60%" color="dark" class="tiempo">
                      </ion-skeleton-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
  </div>
  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>